// This program is copyright VUW.
// You may not distribute it in any way without permission.

/* Code for COMP102 - 2019T2, Terms Test 1
 * Name:
 * Username:
 * ID:
 */

import ecs100.*;

/**
 * Question 2. Writing programs with if.    [12 Marks]
 * 
 * Complete the calculateOrderPrice() method to the total price of an order of Widgets.
 * The method should
 *      - Ask the user for how many Widgets they want to purchase.
 *          - The undiscounted price of each widget is $12.99.
 *      - Calculate the total price using the following table discounts.
 *      - Note: any order over 5000 widgets receives a 15% discount to the entire order
 *        instead of any other discounts.
 *        
 *                      Order Quanity   Discount (%)
 *                    / First 1,000     0
 *        Up to 5000 <  Next 2,000      5
 *                    \ Next 2,000      10
 *                    
 *        Over 5000     15% off the entire order
 *        
 *        For example,
 *          – if the quantity is 765, the total is $9,937.35 (no discount)
 *          – if the quantity is 1,700, the total is $21,628.35 (1700 × $12.99 − 700 × $12.99 × 5%)
 *          – if the quantity is 6,000, the total is $66,249.00 (6000 × $12.99 × 85%)
 *        
 *      - Print out the total cost rounded to 2 decimal places, for example
 *              Enter quantity: 4500
 *              The order total is: $55207.50
 */
public class Program2
{
    /**
     * Calculates the total amout payable for an order of widgets
     * 
     * First asks the user for the quantity of widgets, and then calculates cost.
     */
    public void calculateOrderPrice() {
        double cost = 0.0;
        
        /*# YOUR CODE HERE */
        double quantity = UI.askDouble("Enter quanity:");
        if ( quantity <= 1000 ) {
            cost = quantity * 12.99;
        }
        else if ( quantity <= 3000) {
            cost = 1000*12.99 + (quantity-1000)*12.99*0.95;
        }
        else if ( quantity <= 5000) {
            cost = 1000*12.99 + 2000*12.99*0.95 + (quantity-3000)*12.99*0.90;
        } else {
            cost = quantity * 12.99 * 0.85;
        }
        UI.printf("The total cost is $%.2f\n", cost);
        /*# END OF YOUR CODE */
    }
    
    /*********************************************
     * YOU CAN IGNORE EVERYTHING BELOW THIS LINE *
     *********************************************/
    public void setupGUI() {
        UI.initialise();
        UI.addButton("Run", this::calculateOrderPrice);
        UI.setWindowSize(500,500);
        UI.setDivider(1.0);
    }

    public static void main(String[] args) {
        new Program2().setupGUI();
    }
}
